summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-11-18 09:47:55 +0100
committerRemi Collet <remi@remirepo.net>2020-11-18 09:47:55 +0100
commit6356c6b1887975f9ae8168afc5de4e35ec9e3168 (patch)
treefe48707f79675a51ddfb9ea608b11c3b96dc8c1d
parente427f9bd9a6631087b4fdad41d81ff4fb4bb8e43 (diff)
update to 2.7.0 (no change)HEADmaster
raise dependency on PHP 7.3 switch to phpunit9
-rw-r--r--composer.json17
-rw-r--r--php-laminas-escaper.spec34
2 files changed, 30 insertions, 21 deletions
diff --git a/composer.json b/composer.json
index c39174f..d01ae2d 100644
--- a/composer.json
+++ b/composer.json
@@ -19,18 +19,20 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "2.6.x-dev",
- "dev-develop": "2.7.x-dev"
- }
},
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"laminas/laminas-zendframework-bridge": "^1.0"
},
+ "suggest": {
+ "ext-iconv": "*",
+ "ext-mbstring": "*"
+ },
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
+ "phpunit/phpunit": "^9.3",
+ "psalm/plugin-phpunit": "^0.12.2",
+ "vimeo/psalm": "^3.16"
},
"autoload": {
"psr-4": {
@@ -49,10 +51,11 @@
],
"cs-check": "phpcs",
"cs-fix": "phpcbf",
+ "static-analysis": "psalm --shepherd --stats",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
"replace": {
- "zendframework/zend-escaper": "self.version"
+ "zendframework/zend-escaper": "^2.6.1"
}
}
diff --git a/php-laminas-escaper.spec b/php-laminas-escaper.spec
index bd547d5..756eabf 100644
--- a/php-laminas-escaper.spec
+++ b/php-laminas-escaper.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 25f2a053eadfa92ddacb609dcbbc39362610da70
+%global gh_commit 5e04bc5ae5990b17159d79d331055e2c645e5cc5
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-escaper
@@ -22,8 +22,8 @@
%endif
Name: php-%{gh_project}
-Version: 2.6.1
-Release: 2%{?dist}
+Version: 2.7.0
+Release: 1%{?dist}
Summary: Laminas Framework %{library} component
License: BSD
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-composer(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -48,18 +48,19 @@ BuildRequires: php-mbstring
BuildRequires: php-pcre
BuildRequires: php-spl
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~1.0.0",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.1.2
+# "phpunit/phpunit": "^9.3",
+# "psalm/plugin-phpunit": "^0.12.2",
+# "vimeo/psalm": "^3.16"
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.3
# Autoloader
BuildRequires: php-fedora-autoloader-devel
%endif
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires: (php-composer(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-composer(%{gh_owner}/laminas-zendframework-bridge) < 2)
@@ -80,8 +81,8 @@ Requires: php-composer(fedora/autoloader)
Obsoletes: php-ZendFramework2-%{library} < 2.5
Provides: php-ZendFramework2-%{library} = %{version}
# Compatibily ensure by the bridge
-Obsoletes: php-zendframework-%{zf_name} < 2.6.1-99
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Obsoletes: php-zendframework-%{zf_name} < 2.6.2
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -139,10 +140,10 @@ EOF
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 ${2:-%{_bindir}/phpunit7} --verbose || ret=1
+ $1 ${2:-%{_bindir}/phpunit8} --verbose || ret=1
fi
done
@@ -169,6 +170,11 @@ exit $ret
%changelog
+* Wed Nov 18 2020 Remi Collet <remi@remirepo.net> - 2.7.0-1
+- update to 2.7.0 (no change)
+- raise dependency on PHP 7.3
+- switch to phpunit9
+
* Fri Jan 17 2020 Remi Collet <remi@remirepo.net> - 2.6.1-2
- cleanup